Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 654476 - Review Request: meego-facebook-plugins - Facebook plugin for libsocialweb and telepathy
Summary: Review Request: meego-facebook-plugins - Facebook plugin for libsocialweb and...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Adam Williamson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-11-17 23:15 UTC by Peter Robinson
Modified: 2011-02-22 17:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-22 17:43:19 UTC


Attachments (Terms of Use)

Description Peter Robinson 2010-11-17 23:15:22 UTC
SPEC: http://pbrobinson.fedorapeople.org/meego-facebook-plugins.spec
SRPM: http://pbrobinson.fedorapeople.org/meego-facebook-plugins-1.1.1-1.fc15.src.rpm

Description:
A facebook plugin for libsocialweb and telepathy for configuration of facebook
and the jabber based facebook chat.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2607494

Comment 1 Adam Williamson 2010-11-30 00:21:37 UTC
[adamw@adam SRPMS]$ rpmlint meego-facebook-plugins-1.1.1-1.fc15.src.rpm
meego-facebook-plugins.src: W: spelling-error Summary(en_US) plugin -> plug in, plug-in, plugging
meego-facebook-plugins.src: W: spelling-error Summary(en_US) libsocialweb -> subsocial, dissociable, socialization
meego-facebook-plugins.src: W: spelling-error %description -l en_US plugin -> plug in, plug-in, plugging
meego-facebook-plugins.src: W: spelling-error %description -l en_US libsocialweb -> subsocial, dissociable, socialization
meego-facebook-plugins.src:3: W: macro-in-comment %{name}
meego-facebook-plugins.src:3: W: macro-in-comment %{version}
meego-facebook-plugins.src:3: W: macro-in-comment %{version}
meego-facebook-plugins.src:3: W: macro-in-comment %{name}
meego-facebook-plugins.src:3: W: macro-in-comment %{version}
meego-facebook-plugins.src:3: W: macro-in-comment %{gitdate}
meego-facebook-plugins.src: W: no-buildroot-tag
meego-facebook-plugins.src: W: invalid-url Source0: meego-facebook-plugins-1.1.1.tar.bz2
1 packages and 0 specfiles checked; 0 errors, 12 warnings.

[adamw@adam SRPMS]$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/meego-facebook-plugins-1.1.1-1.fc15.x86_64.rpm /var/lib/mock/fedora-rawhide-x86_64/result/meego-facebook-plugins-bisho-1.1.1-1.fc15.x86_64.rpm
meego-facebook-plugins.x86_64: W: spelling-error Summary(en_US) plugin -> plug in, plug-in, plugging
meego-facebook-plugins.x86_64: W: spelling-error %description -l en_US plugin -> plug in, plug-in, plugging
meego-facebook-plugins-bisho.x86_64: W: spelling-error Summary(en_US) plugin -> plug in, plug-in, plugging
meego-facebook-plugins-bisho.x86_64: W: spelling-error %description -l en_US libsocialweb -> subsocial, dissociable, socialization
meego-facebook-plugins-bisho.x86_64: W: spelling-error %description -l en_US plugin -> plug in, plug-in, plugging
2 packages and 0 specfiles checked; 0 errors, 5 warnings.

spelling errors - feh. macro-in-comment and invalid-url are due to snapshot tarball, which is handled correctly.

"MUST: The License field in the package spec file must match the actual license. [3]"

the license on the libsocialweb stuff is LGPLv2, not LGPLv2+ :

"This program is free software; you can redistribute it and/or modify it under the terms and conditions of the GNU Lesser General Public License, version 2.1, as published by the Free Software Foundation."

the stuff in tools/ and some of the stuff in auth-observer is licensed as LGPLv2+. I'm not sure if any of those bits are 'independent' from the stuff in libsocialweb. AIUI, if it all builds together into one thing you have to use as a lump, we should just consider the whole thing as being LGPLv2. If you can use any of the LGPLv2+ licensed bits independently of the LGPLv2 licensed bits, we should call it 'LGPLv2 and LGPLv2+'.

MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]

The spec lists:

%{_libdir}/mission-control-plugins.0/mcp-account-manager-socialweb.so

I'm not sure about that %{_libdir}/mission-control-plugins.0 directory. As far as I can tell, telepathy-mission-control doesn't provide it. Can you check this?

I think that's all. Thanks!

Comment 2 Peter Robinson 2011-02-22 17:43:19 UTC
Even though it was said that this wasn't possible to merge upstream into libsocialweb it seems that has been overcome and this has been merged into libsocialweb 0.25.11 (headed to rawhide and F-15) so I'm closing this


Note You need to log in before you can comment on or make changes to this bug.